﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace CSVLoad
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        int NoOfRowstoLoad;
        private void button1_Click(object sender, EventArgs e)
        {
            //fpSpread1.Sheets[0].SaveTextFile(@"C:\Users\reeva.dhingra\Desktop\text.csv", FarPoint.Win.Spread.TextFileFlags.ForceCellDelimiter, FarPoint.Win.Spread.Model.IncludeHeaders.None, "\r\n", ",", "");

            fpSpread1.ActiveSheet.SaveTextFile(@"C:\Users\reeva.dhingra\Desktop\text.csv", FarPoint.Win.Spread.TextFileFlags.ForceCellDelimiter, FarPoint.Win.Spread.Model.IncludeHeaders.None, "\n", ",", "");
            // fpSpread1.Sheets[0].SaveTextFileRange(1, 1, 1, 2, "C:\\filerange.txt", FarPoint.Win.Spread.TextFileFlags.Unformatted, FarPoint.Win.Spread.Model.IncludeHeaders.BothCustomOnly, "#", "%", "^");
           

        }
        public DataTable GetTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Column1");
            dt.Columns.Add("Column2");
            DataRow dr = dt.NewRow();
            dr.ItemArray = new object[] { "1", "A" };
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr.ItemArray = new object[] { "2", "B" };
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr.ItemArray = new object[] { "3", "C" };
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr.ItemArray = new object[] { "4", "D" };
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr.ItemArray = new object[] { "5", "E" };
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr.ItemArray = new object[] { "6", "F" };
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr.ItemArray = new object[] { "7", "G" };
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr.ItemArray = new object[] { "8", "H" };
            dt.Rows.Add(dr);
            return dt;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = GetTable();
            fpSpread1.DataSource = dt;
            fpSpread1.ActiveSheet.Columns.Count = 2;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            NoOfRowstoLoad = (int)numericUpDown1.Value;
            SplitCSV(@"C:\Users\reeva.dhingra\Desktop\text.csv", NoOfRowstoLoad );
            fpSpread1.ActiveSheet.LoadTextFile(@"C:\Users\reeva.dhingra\Desktop\my.csv", FarPoint.Win.Spread.TextFileFlags.ForceCellDelimiter, FarPoint.Win.Spread.Model.IncludeHeaders.None, "\n", ",", "");
        }

        public static void SplitCSV(string file, int NoOfRowstoLoad)
        {
            // Read lines from source file
            string[] arr = System.IO.File.ReadAllLines(file);

            string[] NewArr = new string[NoOfRowstoLoad ];
            for (int i = 0; i < NoOfRowstoLoad ; i++)
                NewArr[i] = arr[i];

            using (System.IO.StreamWriter file1 = new System.IO.StreamWriter(@"C:\Users\reeva.dhingra\Desktop\my.csv"))
            {
                int count = 1;
                foreach (Object obj in NewArr)
                {

                    file1.Write(obj.ToString() + ",");
                    if (count % 1 == 0)
                        file1.Write("\n");
                    count++;

                }
            }

        }
    }
}
